Platforms
Diese Seite ist nicht auf Deutsch verfügbar. Die englische Version wird angezeigt.
Update Platform Group
Authorization
appToken writeAuthorizationBearer <token>
App access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.
In: header
Scope: write
Path Parameters
platformGroupId*string
platformGroupId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/platforms/groups/string" \ -H "Content-Type: application/json" \ -d '{}'{ "platformGroupId": "string", "platformId": "string", "environment": "string", "name": "string", "currency": "string", "archived": true, "lotMultiplier": "string", "metrics": [ { "key": "trades", "value": 0 } ], "platform": { "platformId": "string", "name": "string", "provider": "string" }, "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z"}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "error": { "message": "This App is read-only and cannot perform this operation.", "code": "insufficient_scope" }}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}